# 2021-077


***Cloud Services Management for Network Function Virtualization***


**Main Research Question** : Is there a platform for cloud services providers with NFV which provide 
                               • Network traffic monitoring
                               • Load balancing
                               • Future predictions
                               • Resource allocations       using a single platform ?


**Main Objective** : To provide a reliable and efficient service to the client by creating a smart cloud platform.

*     Sub Objective 1: To monitor the traffic within the cloud network, hence make decisions accordingly to improve the availability of resources throughout the network.
*     Sub Objective 2: To distribute the workload across multiple computing devices, thus maintaining a suitable network traffic load balancing strategy throughout the cloud.
*     Sub Objective 3: To predict the traffic within the network which will directly contribute in making decisions about future modifications and addons to the system. 
*     Sub Objective 4: To allocate the resources according to the client’s need , through utilization and optimization of resources present. 


**Workload allocation** : 
      
      Member 1 : IT18026030 -  Network traffic monitoring
            There are few ways that we can conduct the cloud monitoring. They are virtual network monitoring, website monitoring, cloud storage and database monitoring, and virtual machine monitoring. We can monitor the network traffic through 24/7 or periodically using algorithms. The selected strategy must be able to identify when service-level objectives (SLOs) are not being met, likely negatively affecting the user experience. The cloud administrator can review the operational status and health of any cloud-based device or component using the results obtained with the implementation of monitoring strategy.
            
            Specified sub Objectives :
                Generating an output which is categorised and could be used by necessary personnel.
                To increase the validity of the generated output using aspects such as
                    Security
                    Commercial based
                    User demand

            
      Member 2 : IT18066494 -  Network traffic load balancing
            Load balancing in software defined network virtualization can be achieved at two levels: NFV level and SDN level. In order to achieve a load balancing in the SDN network, multiple selections  for the  least loaded/busy real-time  server (RLSs) are made. The task of RLS is to choose the most appropriate route for forwarding each new stream and it is based on network time statuses. Algorithm or routing protocol should be implemented in the routable devices to identify the best path. Also, there are  static and dynamic load balancing algorithms.
            
            Specified sub Objectives :
                Understand the functionality and behaviour of max-min load balancing algorithm and Weighted round robin algorithm to determine the best one.
                Implement traffic marking and QoS functionality to the selected algorithm.

            
      Member 3 : IT18080704 -  Network traffic prediction
            Network traffic prediction aims at predicting the subsequent network traffic by using the previous network traffic data. It will be a proactive approach for network management and planning tasks accordingly. In this we will be using predictors such as time series-based predictors, artificial neural networks-based predictors, and wavelet transform-based predictors.
            
            Specified sub Objectives :
                Predict using time-based technique.
                Past data vs Present data
                Get better ideas for future scalability.
                Maintain  zero downtime .
                Line-chart output.

            
      Member 4 : IT18099928 -  Resource allocation
            There are several resource allocation strategies (RAS) to use according to the client’s requirement and fulfill the needs of the client. For an example, Execution Time - Based RAS, VM-Based RAS and Reservation Based RAS can be considered. The strategy will be selected considering the following scenarios.
                •	Under provisioning or over provisioning of resources
                •	Resource contention
                •	Resource starvation/scarcity of resources
                •	Resource fragmentation
            
            Specified sub Objective : 
                To create a proper resource allocation strategy algorithm in order to prevent below mentioned scenarios,
                    Under provisioning of resources
                    Over provisioning of resources
                    Resource contention
                    Resource starvation/scarcity of resources
                    Resource fragmentation
                    To minimize the time and cost of completion of tasks
                    To optimize the usage of resources. 


**Target Group** : Cloud Service Providers

